# AP4_MpegAudioSampleDescription Class Reference

`#include <Ap4SampleDescription.h>`

Inheritance diagram for AP4_MpegAudioSampleDescription:

List of all members.

## Public Types
typedef AP4_UI08 | Mpeg4AudioObjectType
## Public Member Functions
| AP4_MpegAudioSampleDescription (AP4_EsdsAtom *esds, unsigned int sample_rate, unsigned int sample_size, unsigned int channel_count)
| AP4_MpegAudioSampleDescription (OTI oti, unsigned int sample_rate, unsigned int sample_size, unsigned int channel_count, const AP4_DataBuffer *decoder_info, AP4_UI32 buffer_size, AP4_UI32 max_bitrate, AP4_UI32 avg_bitrate)
AP4_Atom * | ToAtom () const
Mpeg4AudioObjectType | GetMpeg4AudioObjectType () const
| For sample descriptions of MPEG-4 audio tracks (i.e GetObjectTypeId() returns AP4_OTI_MPEG4_AUDIO), this method returns the MPEG4 Audio Object Type.
## Static Public Member Functions
static const char * | GetMpeg4AudioObjectTypeString (Mpeg4AudioObjectType type)

## Detailed Description

Definition at line 248 of file Ap4SampleDescription.h.

## Member Typedef Documentation

typedef AP4_UI08 AP4_MpegAudioSampleDescription::Mpeg4AudioObjectType

Definition at line 253 of file Ap4SampleDescription.h.

## Constructor & Destructor Documentation

AP4_MpegAudioSampleDescription::AP4_MpegAudioSampleDescription | ( | AP4_EsdsAtom * | esds,
|  | unsigned int | sample_rate,
|  | unsigned int | sample_size,
|  | unsigned int | channel_count |
| ) |  |  |

AP4_MpegAudioSampleDescription::AP4_MpegAudioSampleDescription | ( | OTI | oti,
|  | unsigned int | sample_rate,
|  | unsigned int | sample_size,
|  | unsigned int | channel_count,
|  | const AP4_DataBuffer * | decoder_info,
|  | AP4_UI32 | buffer_size,
|  | AP4_UI32 | max_bitrate,
|  | AP4_UI32 | avg_bitrate |
| ) |  |  |

## Member Function Documentation

static const char* AP4_MpegAudioSampleDescription::GetMpeg4AudioObjectTypeString | ( | Mpeg4AudioObjectType | type | ) | `[static]`

AP4_Atom* AP4_MpegAudioSampleDescription::ToAtom | ( |  | ) | const`[virtual]`

Reimplemented from AP4_SampleDescription.

Mpeg4AudioObjectType AP4_MpegAudioSampleDescription::GetMpeg4AudioObjectType | ( |  | ) | const

For sample descriptions of MPEG-4 audio tracks (i.e GetObjectTypeId() returns AP4_OTI_MPEG4_AUDIO), this method returns the MPEG4 Audio Object Type.

For other sample descriptions, this method returns 0.

The documentation for this class was generated from the following file:

- Ap4SampleDescription.h